#import <Cocoa/Cocoa.h>

@class KeyController;

@interface BrowserTextView : NSTextView
{
	KeyController *keyController;

    NSTextView		*hiddenText;
}

- (void) keyDown:(NSEvent *) event;
- (void) setKeyController:(KeyController *)newKeyController;
- (void) setHiddenText:(NSTextView *)newHiddenText;

@end
