#import "KeyMethod.h"
#import "Utils.h"

@implementation KeyMethod

- (KeyMethod *) initWithMethod: (SEL) newMethod name: newName
					serial: (int) newSerial;
{
	method = newMethod;
	name = [Localize(newName) copy];
	serial = newSerial;
	return self;
}


- (void) dealloc
{
	[name release];
	[super dealloc];
}


- (SEL) method
{
	return method;
}


- (NSString *) name
{
	return name;
}

- (int) serial
{
	return serial;
}

@end
