#import <Cocoa/Cocoa.h>
@class MailContents, Title, Coding;

@interface MailTitles : NSObject
{
	NSMutableArray *mailTitles;
    IBOutlet NSTableView *table;
	NSString *lastIdentifier;
    bool reverse;
    IBOutlet MailContents *mailContents;
    IBOutlet Coding *coding;
	IBOutlet NSWindow		*mailTitleWindow;
}

- (void) tableView: (NSTableView *) tableView
		didClickTableColumn: (NSTableColumn *) tableColumn; /*delegate*/

- (int) numberOfRowsInTableView: (NSTableView *)tableView;
- (id) tableView: (NSTableView *)tableView
		objectValueForTableColumn: (NSTableColumn *)tableColumn
		row: (int)row;

- (NSMutableArray *) mailTitles;
- (void) setMailTitles: (NSMutableArray *) newMailTitles;
- (bool) reverse;
- (void) setReverse: (bool) newReverse;
- (NSString *) identifier;
- (void) setIdentifier: (NSString *) newIdentifier;

- (NSMutableArray *) loadTitleArray:(char *) dirPath;
- (void) addTitleOf: (const char *)path toArray: (NSMutableArray *)array;
- (BOOL) isMailExtension:(NSString *) extension;
- (BOOL) setState: (NSString *) extension title: (Title *) title;
- (void) loadTitleTable: (char *) dirPath refresh: (BOOL) refresh;
- (int) readContentType: (char *)string ofLine: (char *)oneLine
            forTitle: (Title *)title;
- (int) findIndex;
- (void) removeAtIndex: (int) index;
- (void) readNextMail;
- (void) showInTitleIndex: (int) index;
- (NSString *) stringWithShiftJISString: (char *)shiftJISString;
- (NSString *) stringWithCString: (char *)string  encoding: (unsigned int)encoding;
- (IBAction) readUnreadMail: (id)sender;
- (void) sortTitle;
- (IBAction) unreadMailTitles:(NSMenu *)sender;
- (NSMutableArray *) loadUnreadTitleArray;
- (void) makeDummyMainAtPath: (NSString *)pathString  returnName: (char *)filePath;
@end