// 
//  Title.h
//  table
//
//  Created by takahasi on Fri Sep 14 2001.
//  Copyright (c) 2001 __CompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface Title : NSObject {
	NSString *from;
	NSCalendarDate *date;
	NSString *subject;
	BOOL archiveState;
	BOOL unreadState;
	BOOL replyState;
	BOOL htmlState;
    BOOL sendState;
    BOOL noMainState;
    BOOL errorState;
	NSString *pathString;
    unsigned int code;
}

- (NSString *) from;
- (NSCalendarDate *) date;
- (NSString *) subject;
- (NSString *) state;
- (BOOL) archiveState;
- (BOOL) unreadState;
- (BOOL) replyState;
- (BOOL) htmlState;
- (BOOL) sendState;
- (BOOL) noMainState;
- (BOOL) errorState;
- (NSString *)pathString;
- (unsigned int) code;
- (void) setFrom: (NSString *)value;
- (void) setDate: (NSCalendarDate *)value;
- (void) setSubject: (NSString *)value;
- (void) setPathString: (NSString *)value;
- (void) setArchiveState: (BOOL)newArchiveState;
- (void) setUnreadState: (BOOL)newUnreadState;
- (void) setReplyState: (BOOL)newReplyState;
- (void) setHtmlState: (BOOL)newHtmlState;
- (void) setSendState: (BOOL)newSendState;
- (void) setNoMainState: (BOOL)newNoMainState;
- (void) setErrorState: (BOOL)newErrorState;
- (void) setCode: (unsigned int)newCode;
- (void) makeRead;
@end

NSComparisonResult compareTitle(Title *title1,
        Title *title2, void *context);
NSComparisonResult reverseCompareTitle(Title *title1,
        Title *title2, void *context);